{
	loadslot

	accepttext
	backtext

	Init[ (s)
	{
		ClearMenu();

		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);

		name = GetSavedName(0);
		AddMenuItem(name,"LoadSlot0");
		time = GetSavedTimeStr(0);
		AddStaticItem(time,false,99,32767);
		AddStaticItem(26);

		name = GetSavedName(1);
		AddMenuItem(name,"LoadSlot1");
		time = GetSavedTimeStr(1);
		AddStaticItem(time,false,99,32767);
		AddStaticItem(26);

		name = GetSavedName(2);
		AddMenuItem(name,"LoadSlot2");
		time = GetSavedTimeStr(2);
		AddStaticItem(time,false,99,32767);
		AddStaticItem(26);

		name = GetSavedName(3);
		AddMenuItem(name,"LoadSlot3");
		time = GetSavedTimeStr(3);
		AddStaticItem(time,false,99,32767);
		AddStaticItem(26);

		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);

		accepttext=AddFloatingTextJustify(530, 0, 195, false,32767);
        	accepttext.SetFontNum(1);
		backtext=AddFloatingTextJustify(531, 176, 195, true,32767);
		backtext.SetFontNum(1);

	} ]

	HideAcceptBack[ (s)
	{
		accepttext.SetVisible(false);
		backtext.SetVisible(false);
	} ]

	ShowAcceptBack[ (s)
	{
		accepttext.SetVisible(true);
		backtext.SetVisible(true);
	} ]

	LoadSlot0[ (s)
	{
		if (GameAvailableForLoad(0))
		{
			loadslot = 0;
			if( GameActive() )
			{
				ClearMenu();
				AddStaticItem(26);
				AddStaticItem(26);
				AddStaticItem(26);
				AddStaticItem(26);
				AddStaticItem(26);
				AddStaticItem(81,false,20,32767);
				AddMenuItem(49, "LoadSlot");
				AddMenuItem(50, "Init");
			}
			else
			{
				LoadSlot();
			}
		}
	} ]

	LoadSlot1[ (s)
	{
		if (GameAvailableForLoad(1))
		{
			loadslot = 1;
			if( GameActive() )
			{
				ClearMenu();
				AddStaticItem(26);
				AddStaticItem(26);
				AddStaticItem(26);
				AddStaticItem(26);
				AddStaticItem(26);
				AddStaticItem(81,false,20,32767);
				AddMenuItem(49, "LoadSlot");
				AddMenuItem(50, "Init");
			}
			else
			{
				LoadSlot();
			}
		}
	} ]

	LoadSlot2[ (s)
	{
		if (GameAvailableForLoad(2))
		{
			loadslot = 2;
			if( GameActive() )
			{
				ClearMenu();
				AddStaticItem(26);
				AddStaticItem(26);
				AddStaticItem(26);
				AddStaticItem(26);
				AddStaticItem(26);
				AddStaticItem(81,false,20,32767);
				AddMenuItem(49, "LoadSlot");
				AddMenuItem(50, "Init");
			}
			else
			{
				LoadSlot();
			}
		}
	} ]

	LoadSlot3[ (s)
	{
		if (GameAvailableForLoad(3))
		{
			loadslot = 3;
			if( GameActive() )
			{
				ClearMenu();
				AddStaticItem(26);
				AddStaticItem(26);
				AddStaticItem(26);
				AddStaticItem(26);
				AddStaticItem(26);
				AddStaticItem(81,false,20,32767);
				AddMenuItem(49, "LoadSlot");
				AddMenuItem(50, "Init");
			}
			else
			{
				LoadSlot();
			}
		}
	} ]

	LoadSlot[ (s)
	{
		LoadGame( loadslot );
	} ]

	LoadGameMenuBack[ (s)
	{
		OpenMenu("LoadSave");
	} ]
}